SolarWinds Server & Application Monitor (SAM) Alert Handling Local Privilege Escalation

Medium Nessus Plugin ID 91458


The remote host is running a web application that is affected by a local privilege escalation vulnerability.


The version of SolarWinds Server & Application Monitor (SAM) running on the remote host is affected by a privilege escalation vulnerability in the Alert Manager component due to improper handling of specially crafted alerts. A local attacker can exploit this to gain elevated privileges and execute arbitrary code in the context of NT Authority\SYSTEM.


No patch is currently available, and the vendor has no plans to release a patch in the future.

See Also

Plugin Details

Severity: Medium

ID: 91458

File Name: solarwinds_sam_lpe.nasl

Version: $Revision: 1.1 $

Type: remote

Family: Misc.

Published: 2016/06/03

Modified: 2016/06/03

Dependencies: 91459

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/a:solarwinds:server_and_application_monitor

Vulnerability Publication Date: 2015/10/05

Reference Information

OSVDB: 138178

ZDI: ZDI-14-428